Skip to main content
DELETE
/
v2
/
spans
Delete spans
curl --request DELETE \
  --url https://api.arize.com/v2/spans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "UHJvamVjdDox",
  "span_ids": [
    "a1b2c3d4e5f6a7b8",
    "f8e7d6c5b4a39281"
  ]
}
'
{
  "deleted_span_ids": [
    "a1b2c3d4e5f6a7b8"
  ]
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Body

application/json

Body containing span IDs to delete

project_id
string
required

The project ID containing the spans to delete

span_ids
string[]
required

List of span IDs to delete (maximum 5000)

Required array length: 1 - 5000 elements

Response

Some span IDs could not be confirmed deleted within the allotted retries. Retry the original request for a completed deletion result.

deleted_span_ids
string[]
required

Span IDs confirmed deleted across all successfully processed intervals.